OGRE-Next: Ogre::v1::OverlayElementFactory Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::v1::OverlayElementFactory Class Referenceabstract
Core » Overlays

Defines the interface which all components wishing to supply OverlayElement subclasses must implement. More...

`#include <OgreOverlayElementFactory.h>`

Inheritance diagram for Ogre::v1::OverlayElementFactory:
[legend]

## Public Member Functions
virtual | ~OverlayElementFactory ()
| Destroy the overlay element factory.
virtual OverlayElement * | createOverlayElement (const String &instanceName)=0
| Creates a new OverlayElement instance with the name supplied.
virtual void | destroyOverlayElement (OverlayElement *pElement)
| Destroys a OverlayElement which this factory created previously.
virtual const String & | getTypeName () const =0
| Gets the string uniquely identifying the type of element this factory creates.

## Detailed Description

Defines the interface which all components wishing to supply OverlayElement subclasses must implement.

Remarks
  To allow the OverlayElement types available for inclusion on overlays to be extended, OGRE allows external apps or plugins to register their ability to create custom OverlayElements with the OverlayManager, using the addOverlayElementFactory method. Classes wanting to do this must implement this interface.

  Each OverlayElementFactory creates a single type of OverlayElement, identified by a 'type name' which must be unique.

## Constructor & Destructor Documentation

## ◆ ~OverlayElementFactory()

virtual Ogre::v1::OverlayElementFactory::~OverlayElementFactory | ( |  | ) |
| inlinevirtual

Destroy the overlay element factory.

## Member Function Documentation

## ◆ createOverlayElement()

virtual OverlayElement * Ogre::v1::OverlayElementFactory::createOverlayElement | ( | const String & | instanceName | ) |
| pure virtual

Creates a new OverlayElement instance with the name supplied.

Implemented in Ogre::v1::BorderPanelOverlayElementFactory, Ogre::v1::PanelOverlayElementFactory, and Ogre::v1::TextAreaOverlayElementFactory.

## ◆ destroyOverlayElement()

virtual void Ogre::v1::OverlayElementFactory::destroyOverlayElement | ( | OverlayElement * | pElement | ) |
| inlinevirtual

Destroys a OverlayElement which this factory created previously.

## ◆ getTypeName()

virtual const String & Ogre::v1::OverlayElementFactory::getTypeName | ( |  | ) | const
| pure virtual

Gets the string uniquely identifying the type of element this factory creates.

Implemented in Ogre::v1::BorderPanelOverlayElementFactory, Ogre::v1::PanelOverlayElementFactory, and Ogre::v1::TextAreaOverlayElementFactory.

The documentation for this class was generated from the following file:

- OgreOverlayElementFactory.h